Subject: Re: [Trans] Error reporting format in draft-ietf-trans-rfc6962-bis

From: Eran Messeri <[email-masked]>
Date: Fri, 24 Aug 2018 13:11:53 +0100

I've proposed text to that effect in:
https://github.com/google/certificate-transparency-rfcs/pull/300

Eran

On Tue, Jun 5, 2018 at 4:38 PM, Corey Bonnell <[email-masked]>
wrote:

> Hello,
>
> Apologies if this was previously discussed (I searched the TRANS mail
> archives and didn’t find anything relevant), but section 5 of
> draft-ietf-trans-rfc6962-bis-28 (https://tools.ietf.org/html/
> draft-ietf-trans-rfc6962-bis-28#section-5) describes the preferred error
> reporting format as a JSON object with “error_code” and “error_message”
> fields. Instead of using this bespoke error reporting format, I was
> thinking that using the JSON Problem Details format (
> https://tools.ietf.org/html/rfc7807) would be appropriate here.
>
>
>
> Using the RFC 7807 format provides (at least) two advantages over the
> currently specified format, namely:
>
>    - The use of a standard format, which is already being used in other
>    standards (such as ACME)
>    - The possibility to include additional metadata for error conditions,
>    which may transmit sufficient machine-readable information to allow for CT
>    clients to automatically recover from errors
>
>
>
> Thanks,
>
>
>
> *Corey Bonnell*
>
> Senior Software Engineer
>
>
>
> *Trustwave* | SMART SECURITY ON DEMAND
> www.trustwave.com
>
> _______________________________________________
> Trans mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/trans
>
>